curl --request POST \
--url https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/FindSimilarJobPostings \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--data '
{
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"jobPostingId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"page": "<string>",
"careerSiteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"perPage": "<string>",
"languagesIso6393": [
"<string>"
],
"states": [],
"filterByAssigneeIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"filterByPipelineIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"filterByNoAssignees": true,
"slot1FilterValue": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"slot2FilterValue": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"slot3FilterValue": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"slot4FilterValue": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"slot5FilterValue": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"slot6FilterValue": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"slot7FilterValue": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"slot8FilterValue": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"slot9FilterValue": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"slot10FilterValue": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/FindSimilarJobPostings"
payload = {
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"jobPostingId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"page": "<string>",
"careerSiteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"perPage": "<string>",
"languagesIso6393": ["<string>"],
"states": [],
"filterByAssigneeIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"filterByPipelineIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"filterByNoAssignees": True,
"slot1FilterValue": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"slot2FilterValue": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"slot3FilterValue": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"slot4FilterValue": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"slot5FilterValue": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"slot6FilterValue": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"slot7FilterValue": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"slot8FilterValue": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"slot9FilterValue": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"slot10FilterValue": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
organizationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
jobPostingId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
page: '<string>',
careerSiteId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
perPage: '<string>',
languagesIso6393: ['<string>'],
states: [],
filterByAssigneeIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
filterByPipelineIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
filterByNoAssignees: true,
slot1FilterValue: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
slot2FilterValue: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
slot3FilterValue: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
slot4FilterValue: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
slot5FilterValue: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
slot6FilterValue: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
slot7FilterValue: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
slot8FilterValue: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
slot9FilterValue: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
slot10FilterValue: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/FindSimilarJobPostings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"title": "<string>",
"summary": "<string>",
"textMatch": "<string>",
"shortId": "<string>",
"organizationId": "<string>",
"careerSiteId": "<string>",
"languagesIso6393": "<string>",
"vectorDistance": 123,
"pinned": true,
"state": "JOB_POSTING_STATE_UNSPECIFIED",
"nrOfApplications": "<string>",
"assignedMembers": [
{
"givenName": "<string>",
"familyName": "<string>",
"primaryEmail": "<string>"
}
],
"pipelineId": "<string>",
"crewRequest": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"state": "JOB_POSTING_STATE_UNSPECIFIED",
"position": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"nbPositions": "<string>"
}
},
"createdAt": "2023-01-15T01:30:15.01Z",
"slot1FilterValue": [
"<string>"
],
"slot2FilterValue": [
"<string>"
],
"slot3FilterValue": [
"<string>"
],
"slot4FilterValue": [
"<string>"
],
"slot5FilterValue": [
"<string>"
],
"slot6FilterValue": [
"<string>"
],
"slot7FilterValue": [
"<string>"
],
"slot8FilterValue": [
"<string>"
],
"slot9FilterValue": [
"<string>"
],
"slot10FilterValue": [
"<string>"
]
}
],
"totalFound": "<string>",
"totalPages": "<string>",
"currentPage": "<string>"
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}FindSimilarJobPostings
Find related job postings
Authorizations
Personal API key, sent as Authorization: Bearer <key>.
Headers
Define the version of the Connect protocol
1
Define the timeout, in ms
1000
Body
request for searching job postings
id of the organization in which job postings will be searched.
id of the job posting to find similar items for
page of search results to return
id of the career site in which job postings will be searched.
nr of items per page
languages in iso 639-3 format.
3possible states of a job posting.
state of a job posting
JOB_POSTING_STATE_UNSPECIFIED, JOB_POSTING_STATE_OPEN, JOB_POSTING_STATE_CLOSED filter on job postings assigned to one of these member ids.
5filter on job postings belonging to one of these pipeline ids.
5filter on job postings that have no assigned members.
filter on job postings matching any value for the filter on this slot.
filter on job postings matching any value for the filter on this slot.
filter on job postings matching any value for the filter on this slot.
filter on job postings matching any value for the filter on this slot.
filter on job postings matching any value for the filter on this slot.
filter on job postings matching any value for the filter on this slot.
filter on job postings matching any value for the filter on this slot.
filter on job postings matching any value for the filter on this slot.
filter on job postings matching any value for the filter on this slot.
filter on job postings matching any value for the filter on this slot.